#!/usr/bin/env bash

# git bolt "[CommitMessage]"

######################################
# BOLT Quick Update
######################################

if [ -n "$1" ]
then

    branch_name=`git status | grep -o -E "BOLT-\d+"`
    branch_name_length=${#branch_name}

    if [ "$branch_name_length" = 0 ]

    then
        echo "[Warn] No branch whose name prefixed with BOLT ❌"
    else
        git ad
        commit_content=$branch_name
        for i in $@; do
            commit_content="$commit_content $i"
        done
        echo "[Commit Content] $commit_content"
        git commit -m "$commit_content"
        git push
        echo "[OK] 😎"
    fi
else
    echo "[Error] Missing commit message ❌"
fi