#!/usr/bin/env bash

# git nf [fileName]

######################################
# New file
######################################

dir_name=$(`cd $(cd \`dirname $0\`; pwd)`; pwd;)
dir_tmp=$(cd ${dir_name}/template; pwd;)

result=''

getFileByName () {
    for file in `ls -alh $dir_tmp | grep "^-" | awk -F ' ' '{print $NF}'`
    do
        echo $file | grep $1
        if [ -n "$result" ]
        then
            result=`echo $file | grep $1`
            break
        fi
    done
}

if [ -n "$1" ]
then
    result=`getFileByName $1`

    if [ -n "$result" ]
    then
        source_file="${dir_tmp}/${result}"
        target_file="$PWD/$result"

        echo "Target File: $target_file"

        if [ -f $target_file ]
        then
            echo "Source File: $source_file"
            read -p "[Warning] $result already exist, continue ? (y/n) " remove;
            if [[ $remove = 'y' ]];
            then
                cp $source_file `pwd`
                echo "[OK] 😎";
            else
                echo '[Cancelled] 🙂';
            fi

        else
            cp $source_file `pwd`
            echo "[OK] 😎";
        fi
    else
        echo "😓  No such template file"
    fi

else
    echo ''
    echo '❌  Missing parameters'
    echo ''
    echo 'Usage: git nf [name]'
    echo ''
fi