#!/usr/bin/env bash

# Usage: git sh-chmod [path]

######################################
# chmod all external sh files
######################################

all_bashes=()
index=0
dir_name=$(cd `dirname $0`; pwd)

echo "chmod target directory: $dir_name"

chmod_directory () {
    # Only get fileName
    # print $NF - print the last column
    for bash in `ls -lh $dir_name | grep "^-" | awk -F ' ' '{print $NF}'`
    do
        # echo $bash
        # match the fileName end with 'sh'
        if echo ${bash} | grep -q sh$;
        then
            all_bashes[${index}]=${bash}
            let index=${index}+1
        fi
    done

    for bash in ${all_bashes[@]}
    do
        chmod +x "${dir_name}/${bash}"
        echo "chmod +x ${bash} ✅"
    done

    echo "[OK] 😎"
}


if [ $1 ]
then
    if [ -d $1 ]
    then
        echo "🎉  Correct directory path"
        dir_name=$1
        chmod_directory
    elif [ -f $1 ]
    then
        echo "🎉  Correct file path"
        chmod +x $1
        echo "chmod +x $1 ✅"
        echo "[OK] 😎"
    else
        echo "❌  Please check your parameters 😂"
        exit 1
    fi
else
    chmod_directory
fi



